﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Shapes;
using System.Windows.Threading;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;
using System.IO;
using Telerik.Windows.Media.Imaging;
using System.Windows.Media.Effects;
using Telerik.Windows.Controls.ChartView;

namespace SLApp
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class ChartPoint
    {
        public string XCat { get; set; }

        public double Value { get; set; }
    }

    public class SeriesViewModel
    {
        public ObservableCollection<ChartPoint> ChartPoints { get; set; }

        public CartesianAxis AdditionalAxis { get; set; }
    }

    public class ChartViewModel
    {
        public ObservableCollection<SeriesViewModel> Series { get; set; }

        public ChartViewModel()
        {
            this.Series = GetSampleData();
        }

        private ObservableCollection<SeriesViewModel> GetSampleData()
        {
            var result = new ObservableCollection<SeriesViewModel>();

            var firstAxis = new LinearAxis();

            result.Add(new SeriesViewModel()
            {
                AdditionalAxis = firstAxis,
                ChartPoints = new ObservableCollection<ChartPoint>()
                {
                    new ChartPoint() { XCat = "X1", Value = 1005 },
                    new ChartPoint() { XCat = "X2", Value = 1008 },
                    new ChartPoint() { XCat = "X3", Value = 1009 },
                    new ChartPoint() { XCat = "X4", Value = 1002 }
                }
            });

            result.Add(new SeriesViewModel()
            {
                AdditionalAxis = firstAxis,
                ChartPoints = new ObservableCollection<ChartPoint>()
                {
                    new ChartPoint() { XCat = "X1", Value = 35 },
                    new ChartPoint() { XCat = "X2", Value = 38 },
                    new ChartPoint() { XCat = "X3", Value = 39 },
                    new ChartPoint() { XCat = "X4", Value = 13 }
                }
            });

            result.Add(new SeriesViewModel()
            {
                AdditionalAxis = new LinearAxis(),
                ChartPoints = new ObservableCollection<ChartPoint>()
                {
                    new ChartPoint() { XCat = "X1", Value = 21000 },
                    new ChartPoint() { XCat = "X2", Value = 25000 },
                    new ChartPoint() { XCat = "X3", Value = 26000 },
                    new ChartPoint() { XCat = "X4", Value = 25000 }
                }
            });

            return result;
        }
    }
}